# -*- coding: utf-8 -*-
from odoo.addons.base.maintenance.migrations import util


def migrate(cr, version):
    product_id = util.ref(cr, "openerp_enterprise.product_odoo_sh_dedicated")

    cr.execute("UPDATE product_product SET active=FALSE where id=%s", [product_id,])
    cr.execute("""
        UPDATE product_template
        SET active=FALSE
        WHERE id in (SELECT product_tmpl_id from product_product WHERE id=%s)
    """, [product_id, ])
    cr.execute("""
        DELETE FROM ir_model_data
               WHERE module = 'openerp_enterprise'
                 AND name = 'product_odoo_sh_dedicated'
    """)
